appenderattachable.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <vector>`
Include dependency graph for appenderattachable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::spi::AppenderAttachable
| This Interface is for attaching Appenders to objects. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Typedefs

typedef std::vector< log4cplus::SharedAppenderPtr > | log4cplus::SharedAppenderPtrList